FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202005041055 BUILD_VERSION=v4.3.19 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=19 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.19-202005041055 
ENV __doozer=merge OS_GIT_COMMIT=b7270de OS_GIT_VERSION=4.3.19-202005041055-b7270de SOURCE_DATE_EPOCH=1587748780 SOURCE_GIT_COMMIT=b7270dea975327e432031f5342e749bd5edd6b0c SOURCE_GIT_TAG=b7270dea SOURCE_GIT_URL=https://github.com/openshift/insights-operator 
WORKDIR /go/src/github.com/openshift/insights-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.3.19.20200504.105538
ENV __doozer=update BUILD_RELEASE=202005041055 BUILD_VERSION=v4.3.19 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=19 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.19-202005041055 
ENV __doozer=merge OS_GIT_COMMIT=b7270de OS_GIT_VERSION=4.3.19-202005041055-b7270de SOURCE_DATE_EPOCH=1587748780 SOURCE_GIT_COMMIT=b7270dea975327e432031f5342e749bd5edd6b0c SOURCE_GIT_TAG=b7270dea SOURCE_GIT_URL=https://github.com/openshift/insights-operator 
COPY --from=builder /go/src/github.com/openshift/insights-operator/bin/insights-operator /usr/bin/
COPY config/pod.yaml /etc/insights-operator/server.yaml
COPY manifests /manifests
ENTRYPOINT ["/usr/bin/insights-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-insights-operator" \
        com.redhat.component="ose-insights-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Insights operator" \
        version="v4.3.19" \
        release="202005041055" \
        io.openshift.build.commit.id="b7270dea975327e432031f5342e749bd5edd6b0c" \
        io.openshift.build.source-location="https://github.com/openshift/insights-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/insights-operator/commit/b7270dea975327e432031f5342e749bd5edd6b0c"

